<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/search_paths_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>09/01/83  search_paths_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in search_paths_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  get:  09/01/83  search_paths_$get
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: This entry point returns the search paths in a search
<span id="L11" class="LineNr">11 </span>list.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Syntax:
<span id="L15" class="LineNr">15 </span>declare search_paths_$get entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span>
<span id="L16" class="LineNr">16 </span>     pointer<span class="textRainbow_lv0_o0">,</span> fixed binary<span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span> fixed binary <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>call search_paths_$get <span class="textRainbow_lv0_p0">(</span>sl_name<span class="textRainbow_lv0_o0">,</span> sl_control<span class="textRainbow_lv0_o0">,</span> ref_path<span class="textRainbow_lv0_o0">,</span> search_seg_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L18" class="LineNr">18 </span>     sl_info_area_ptr<span class="textRainbow_lv0_o0">,</span> sl_info_version<span class="textRainbow_lv0_o0">,</span> sl_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Arguments:
<span id="L22" class="LineNr">22 </span>sl_name
<span id="L23" class="LineNr">23 </span>   is the search list name.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr">24 </span>sl_control
<span id="L25" class="LineNr">25 </span>   is an expansion control mask.  See the sl_control_s structure in
<span id="L26" class="LineNr">26 </span>   &quot;Notes&quot; below.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>ref_path
<span id="L28" class="LineNr">28 </span>   is the directory name used for the &quot;-referencing_dir&quot; search path.
<span id="L29" class="LineNr">29 </span>   If ref_path is null, then the &quot;-referencing_dir&quot; search path is
<span id="L30" class="LineNr">30 </span>   skipped.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>search_seg_ptr
<span id="L32" class="LineNr">32 </span>   is a pointer to the search segment.  If this pointer is null, then
<span id="L33" class="LineNr">33 </span>   the process search segment is used.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>sl_info_area_ptr
<span id="L35" class="LineNr">35 </span>   is a pointer to an area in which sl_info can be allocated.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>sl_info_version
<span id="L39" class="LineNr">39 </span>   is the version of the sl_info structure required.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L40" class="LineNr">40 </span>sl_info_ptr
<span id="L41" class="LineNr">41 </span>   is a pointer to the sl_info structure containing the search paths in
<span id="L42" class="LineNr">42 </span>   the search list.  <span class="textRainbow_lv0_p0">(</span>See &quot;Notes&quot; below<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr">43 </span>code
<span id="L44" class="LineNr">44 </span>   is a standard status code.  It may be the following:
<span id="L45" class="LineNr">45 </span>   error_table_$no_search_list the search list was not in the search
<span id="L46" class="LineNr">46 </span>   segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>Notes:
<span id="L50" class="LineNr">50 </span>The sl_control argument is defined by the sl_control_s structure
<span id="L51" class="LineNr">51 </span>contained in sl_control_s.incl.pl1.  Expanding the &quot;-referencing_dir&quot;
<span id="L52" class="LineNr">52 </span>keyword substitutes the ref_path argument for the keyword.
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>The sl_info structure is contained in sl_info.incl.pl1.
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>Arguments:
<span id="L58" class="LineNr">58 </span>version
<span id="L59" class="LineNr">59 </span>   is the version of the sl_info structure.
<span id="L60" class="LineNr">60 </span>num_paths
<span id="L61" class="LineNr">61 </span>   is the number of search paths in this structure.
<span id="L62" class="LineNr">62 </span>change_index_p
<span id="L63" class="LineNr">63 </span>   is a pointer to the search lists' update count.  The update count is
<span id="L64" class="LineNr">64 </span>   a fixed binary <span class="textRainbow_lv0_p0">(</span>71<span class="textRainbow_lv0_p0">)</span> integer, and is incremented each time the search
<span id="L65" class="LineNr">65 </span>   list is modified.  The caller can determine if the search list has
<span id="L66" class="LineNr">66 </span>   been modified by comparing change_index in this structure with the
<span id="L67" class="LineNr">67 </span>   value pointed to by change_index_p.
<span id="L68" class="LineNr">68 </span>
<span id="L69" class="LineNr">69 </span>
<span id="L70" class="LineNr">70 </span>change_index
<span id="L71" class="LineNr">71 </span>   is the current value of the search lists' update count.
<span id="L72" class="LineNr">72 </span>type
<span id="L73" class="LineNr">73 </span>   specifies the type of the search path.  Keywords in sl_info.incl.pl1
<span id="L74" class="LineNr">74 </span>   define the possible values.
<span id="L75" class="LineNr">75 </span>code
<span id="L76" class="LineNr">76 </span>   is a standard status code for this search path.
<span id="L77" class="LineNr">77 </span>pathname
<span id="L78" class="LineNr">78 </span>   is the search path.
<span id="L79" class="LineNr">79 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
